#include "../include/Cache_MultiLevel.h"

namespace environment {
namespace cache {
namespace cache_multilevel {

  std::ostream& operator<< (std::ostream& output, Cache_MultiLevel & x)
  {
    output << x.information(0) << std::endl;

     for (uint32_t i=0; i<x.param->nb_level; i++)
      {
	output << *(x.hierarchy_cache[i]) << std::endl;
      }

    return output;
  }
};
};
};
